Retrieve a DPU Machine

View as Markdown

Retrieve a DPU Machine by ID. By default, DPU network configuration is not included. Set includeNetworkConfig query parameter to true to retrieve the network configuration fields.

User must have authorization role with PROVIDER_ADMIN suffix on the org that owns the Site.

Authentication

AuthorizationBearer
``` export JWT_BEARER_TOKEN="<jwt-bearer-token>" # Example org name: "acme-inc export ORG_NAME=<org-name> # Use the JWT bearer token in your API request auth header: curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current ```

Path parameters

orgstringRequired
Name of the Org
dpuMachineIdstringRequired
ID of the DPU Machine

Query parameters

siteIdstringRequiredformat: "uuid"
ID of the Site
includeNetworkConfigbooleanOptionalDefaults to false
Include network configuration fields exposed by the REST API

Response

OK
idstring
ID of the DPU Machine
infrastructureProviderIdstringformat: "uuid"
ID of the Infrastructure Provider that owns the host Machine
siteIdstringformat: "uuid"
ID of the Site that the host Machine belongs to
hostMachineIdstring
ID of the host Machine that this DPU is attached to
dpuAgentVersionstring
Version of the DPU agent running on the DPU
bmcInfoobject or null

BMC (Baseboard Management Controller) information for the DPU

dmiDataobject or null

DMI (Desktop Management Interface) data reported for the DPU

interfaceslist of objects or null
Interfaces reported on the DPU
softwareComponentslist of objects or null
Software components reported on the DPU
healthobject or null
Health information for the DPU
labelsmap from strings to strings or null
Labels associated with the DPU
statestring
Lifecycle state of the DPU
dpuNetworkConfigobject or null
Network configuration fields exposed by the REST API, or null when not requested or unavailable
lastRebooteddatetime or null
Last reboot timestamp
placementInRackobject or null
Physical placement of the DPU Machine within its Rack, when known

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error